!> \file declare-month_mod.f90
!! Module pour declarer qelques varaiables pour le calcul de temperature mensuelle
!<

!> \namespace declare_month
!! Module pour declarer qelques varaiables pour le calcul de temperature mensuelle
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module3D_phy
!<
module declare_month

USE module3D_phy

implicit none

! 1=decalaration variables
!-------------------------

integer,parameter :: mois=12
integer :: mo

real,dimension(nx,ny,mois+1) :: Tm_surf     !< surface temperature
                                            !< (after topo. correction)
                                            !< 13 mois pour  modulo
                                              
real,dimension(nx,ny,mois+1) :: Pm_surf     !< surface precipitation 
                                            !< (after topo. correction)


real,dimension(nx,ny) :: S0CLIM             !< topo de reference du GCM
real,dimension(nx,ny,mois) :: Tm_0          !< surface temperature at S0CLIM mensual (ref)


real,dimension(nx,ny,mois) :: lapserate     !< carte de lapserate mensuel


end module declare_month
